सवाल ल्यूसिड से सटीक तक अपग्रेड करें


मैं स्पष्ट चल रहा हूं, और सटीक रूप से अपग्रेड करना चाहता हूं। मैंने अद्यतन प्रबंधक में सेटिंग्स को "केवल दीर्घकालिक समर्थन रिलीज़" में बदल दिया है, लेकिन मुझे केवल "नया उबंटू रिलीज '10 .10" विकल्प उपलब्ध है। मैंने सोचा कि सीधे एक एलटीएस से अगले में अपग्रेड करना संभव था (यानी सीधे ल्यूसिड से सटीक तक जाएं)। क्या यह सही है, या मुझे सभी मध्यवर्ती संस्करणों के माध्यम से जाना होगा?

कुछ अतिरिक्त विवरण जोड़ने के लिए, "lsb_release -a" चल रहा है: कोई एलएसबी मॉड्यूल उपलब्ध नहीं है। वितरक आईडी: उबंटू विवरण: उबंटू 10.04.4 एलटीएस रिलीज: 10.04 कोडनाम: स्पष्ट

/ Etc / update-manager / रिलीज-अपग्रेड में मेरे पास प्रॉम्प्ट = lts है

रन-अप-रिलीज-अपग्रेड आउटपुट देता है: एक नई उबंटू रिलीज के लिए जाँच कर रहा है उपकरण हस्ताक्षर अपग्रेड विफल विफल अपग्रेड टूल डाउनलोड हो गया
लाने में विफल रहे अपग्रेड प्राप्त करना असफल रहा। नेटवर्क समस्या हो सकती है।

कार्लोस।


1
2017-11-22 14:13


मूल


उबंटू के एक पुराने असमर्थित संस्करण से वर्तमान संस्करण में अपग्रेड करना इस पर समझाया गया है: https://help.ubuntu.com/community/EOLUpgrades मीटर - milegrin


जवाब:


खोल में, यह सिर्फ एक साधारण है apt-get आदेश। सबसे पहले सूचियों को अद्यतन करें और किसी भी पैकेज को अपग्रेड करें:

sudo apt-get update
sudo apt-get upgrade

और फिर अपने वितरण को अपग्रेड करें:

sudo apt-get dist-upgrade

(थोड़ी देर लग सकता है!)

यदि यह काम नहीं करता है तो आपको उपयोग करने की आवश्यकता है उन्न्त प्रबंधक:

sudo aptitude install update-manager-core
sudo do-release-upgrade

क्या आप पुष्टि कर सकते हैं कि आप ल्यूसिड पर हैं:

lsb_release -a

चार लाइनों के साथ रिपोर्ट करना चाहिए 10.04 तथा lucid वहाँ पर। अगली बात यह है कि आपको अगली एलटीएस में जाने के लिए मैनेजर को अपग्रेड करना होगा, न कि 10.10 जो आपने उपरोक्त उल्लेख किया है ... vi /etc/update-manager/release-upgrades

Prompt=lts

कोशिश करो और चलाओ do-release-upgrade again, यदि आप वास्तविक असफल संदेश (आपके क्यू में) पेस्ट कर सकते हैं तो यह भी सहायक होगा।


1
2017-11-22 15:17



मैंने कोशिश की, और परिणाम प्राप्त करें: पैकेज सूचियों को पढ़ना ... बिल्डिंग निर्भरता वृक्ष पूर्ण हो गया राज्य की जानकारी पढ़ना ... अपग्रेड की गणना की गई ... 0 नवीनीकृत, 0 नया स्थापित, 0 निकालने और 0 अपग्रेड नहीं किया गया। - Carlos Perez
आपके प्रयास @Rudu के लिए धन्यवाद। अद्यतन प्रबंधक का उपयोग कम से कम एक अलग त्रुटि संदेश देता है, अब यह कहता है: असफल अपग्रेड टूल हस्ताक्षर विफल अपग्रेड टूल पूर्ण हो गया अपग्रेड लाने में विफल विफलता प्राप्त करना विफल रहा। नेटवर्क समस्या हो सकती है। मुझे पता है कि कोई नेटवर्क समस्या नहीं है, तो क्या यह वास्तविक समस्या के बारे में बताता है? - Carlos Perez
नहीं, यह गड़बड़ है। सबकुछ सही दिखता है, लेकिन जीयूआई अपग्रेडर केवल मुझे 10.10 तक अपग्रेड प्रदान करता है, जबकि डू-रिलीज-अपग्रेड "अपग्रेड टूल्स हस्ताक्षर, फुल अपग्रेड टूल" देता है। - Carlos Perez
@ करलोसपेरेज़ ने पुष्टि की थी कि आप स्पष्ट हैं lsb_release? एकमात्र कारण मैं सोच सकता हूं कि यह असफल रहा है आप हैं नहीं 10.04 को लेकिन वास्तव में 10.10 पर जो 12.04 पर अपग्रेड का समर्थन नहीं करता है - Rudu
हां, "lsb_release -a" रिपोर्ट "उबंटू 10.04.4 एलटीएस", "रिलीज: 10.04", "कोडनाम: ल्यूसिड"। तो जब तक यह मेरे लिए झूठ बोल रहा है, मैं निश्चित रूप से स्पष्ट चल रहा प्रतीत होता है! - Carlos Perez


नमस्ते मैं ल्यूसिड से सटीक अपग्रेड करने की कोशिश करते समय इस धागे पर आया और मुझे एक ही त्रुटि मिल रही थी:

Checking for a new Ubuntu release
Failed Upgrade tool signature
Failed Upgrade tool
Done downloading
Failed to fetch Fetching the upgrade failed.
There may be a network problem.

मुझे इस मुद्दे में मिला /etc/apt/apt.conf फ़ाइल मुझे इस कथन पर टिप्पणी करनी थी:

Acquire::http::Proxy "http://old-releases.ubuntu.com/releases/dapper";

एक बार टिप्पणी करने के बाद, do_release_update चल रहा है मेरे लिए काम किया।


1
2018-05-27 16:22